Skip to main content
GET
/
v1
/
tenant
Get clinic info
curl --request GET \
  --url https://dev.flextell.ai/api/v1/tenant \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "avatar_url": "<string>",
    "phone_number": "<string>",
    "address": "<string>",
    "location": {
      "latitude": "<string>",
      "longitude": "<string>"
    },
    "services": [
      "<unknown>"
    ],
    "knowledge_base": [
      "<unknown>"
    ],
    "work_hours": [
      {}
    ],
    "city_id": 123,
    "district_id": 123,
    "country_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "city": {
      "id": 123,
      "name": "<string>"
    },
    "district": {
      "id": 123,
      "name": "<string>"
    },
    "country": {
      "id": 123,
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Response

success
string
required
data
TenantResource · object
required